Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.spatial
Class DimensionNameType

    Object
      CodeList<DimensionNameType>
          DimensionNameType

All Implemented Interfaces:
  Serializable, Comparable<DimensionNameType>

    @UML(identifier="MD_DimensionNameTypeCode",
         specification=ISO_19115)
    public final class DimensionNameType

extends CodeList<DimensionNameType>

Name of the dimension.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static DimensionNameType` | `COLUMN` Abscissa (x) axis.
`static DimensionNameType` | `CROSS_TRACK` Perpendicular to the direction of motion of the scan point.
`static DimensionNameType` | `LINE` Scan line of a sensor.
`static DimensionNameType` | `ROW` Ordinate (y) axis.
`static DimensionNameType` | `SAMPLE` Element along a scan line.
`static DimensionNameType` | `TIME` Duration.
`static DimensionNameType` | `TRACK` Along the direction of motion of the scan point
`static DimensionNameType` | `VERTICAL` Vertical (z) axis.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static DimensionNameType` | `valueOf(String code)` Returns the DimensionNameType that matches the given string, or returns a new one if none match it.
`static DimensionNameType[]` | `values()` Returns the list of `DimensionNameType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ROW

    @UML(identifier="row",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DimensionNameType ROW

  Ordinate (y) axis.

### COLUMN

    @UML(identifier="column",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DimensionNameType COLUMN

  Abscissa (x) axis.

### VERTICAL

    @UML(identifier="vertical",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DimensionNameType VERTICAL

  Vertical (z) axis.

### TRACK

    @UML(identifier="track",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DimensionNameType TRACK

  Along the direction of motion of the scan point

### CROSS_TRACK

    @UML(identifier="crossTrack",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DimensionNameType CROSS_TRACK

  Perpendicular to the direction of motion of the scan point.

### LINE

    @UML(identifier="line",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DimensionNameType LINE

  Scan line of a sensor.

### SAMPLE

    @UML(identifier="sample",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DimensionNameType SAMPLE

  Element along a scan line.

### TIME

    @UML(identifier="time",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final DimensionNameType TIME

  Duration.

Method Detail

### values

    public static DimensionNameType[] values()

  Returns the list of `DimensionNameType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<DimensionNameType>`

### valueOf

    public static DimensionNameType valueOf(String code)

  Returns the DimensionNameType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.